%define realname gtk-sharp

Summary: .Net language bindings for Gtk+ and GNOME
Name: lib%realname
Version: 1.0
Release: alt2
Copyright: LGPL
Group: System/Libraries
Source: ftp://ftp.sf.net/pub/sourceforge/gtk-sharp/gtk-sharp-%{version}.tar.gz
Patch0: %name-%version-disable-samples.patch
Patch1: gtkhtml-3.1.patch
URL: http://gtk-sharp.sf.net/
Requires:libglade2, libgnomecanvas >= 2.2.0, libgnomeui >= 2.2.0, perl-XML-LibXML

# Automatically added by buildreq on Mon Aug 02 2004
BuildRequires: ORBit2-devel XFree86-devel fontconfig-devel gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libcroco-devel libgda2-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomedb-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgsf-devel libgtk+2-devel libgtkhtml3-devel libpango-devel libpopt-devel librsvg2-devel libstdc++-devel libvte-devel libxml2-devel libxslt-devel mcs mono-devel pkgconfig zlib-devel perl-XML-LibXML

%description
A C source parser and C# code generator to produce .Net assemblies
which bind to GObject based libraries.  The Gtk+-2.2 libraries are
included along with several GNOME platform libraries.
          
%package devel
Summary: C Source parser and C\# code generator for GObject based APIs.
Group: Development/Other

%description devel
The gtk-sharp-gapi package includes the parser and code generator used by
the Gtk\# project to parse and bind GObject libraries. Install gtk-sharp-gapi
if you want to bind GObject-based libraries, or need to compile a project
that uses it to bind such a library.
Requires:perl-XML-LibXML, perl-XML-LibXML-Common

%prep
%setup -n %realname-%version
%patch0 -p0
%patch1 -p0

%build
export PATH=$PATH:/usr/lib/mono/bin
libtoolize --force --copy
aclocal
autoheader
automake --gnu  
autoconf
%configure
%make
#atch -p1 < ./hack.patch
#ushd gtkhtml
#__rm gtkhtml-sharp.dll
#__make
#opd

%install
export PATH=$PATH:/usr/lib/mono/bin:/usr/lib/mono/lib
%__mkdir_p %buildroot/usr
%makeinstall
for lf in %buildroot%_libdir/mono/gtk-sharp/*; do
	link=`readlink $lf | sed "s|%buildroot||"`
	rm -f $lf
	ln -s $link $lf
done 


%files
%doc README COPYING ChangeLog
%{_libdir}/mono/gac/*
%{_libdir}/mono/gtk-sharp/*
%{_libdir}/pkgconfig/art-sharp.pc
%{_libdir}/pkgconfig/gconf-sharp.pc
%{_libdir}/pkgconfig/gda-sharp.pc
%{_libdir}/pkgconfig/glade-sharp.pc
%{_libdir}/pkgconfig/gnomedb-sharp.pc
%{_libdir}/pkgconfig/gnome-sharp.pc
%{_libdir}/pkgconfig/gtkhtml-sharp.pc
%{_libdir}/pkgconfig/gtk-sharp.pc
%{_libdir}/pkgconfig/rsvg-sharp.pc
%{_libdir}/pkgconfig/vte-sharp.pc
%{_libdir}/*.so
%{_bindir}/gconfsharp-schemagen.exe
%{_bindir}/gconfsharp-schemagen


%files devel
%{_libdir}/pkgconfig/gapi.pc
%{_bindir}/gapi*
%{_datadir}/gapi/*.xml


%changelog
* Sat Oct  9 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.0-alt2
- fixed bug in spec

* Fri Jul 30 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.0-alt1
- release

* Mon Apr  9 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.18-alt2
- rebuilt with new gtk

* Mon Apr  5 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.18-alt1
- new_version

* Tue Mar  9 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.17-alt3
- fixed some requires

* Fri Mar  5 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.17-alt2
- fixed buildreq with xml

* Fri Feb 27 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.17-alt1
- new version

* Thu Feb 26 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.16-alt1
- new version

* Thu Jan  8 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.14-alt3
- fixed bug with perl dependence on LibXML

* Tue Dec 16 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.14-alt2
- add patch for gtkhtml-sharp, make monodoc run

* Thu Dec 11 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.14-alt1
- New version release

* Mon Nov 17 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.13-alt1
- New release 0.13

* Mon Sep 29 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.11-alt1
- new release - 0.11, based on original ximian spec 

* Wed Nov 20 2002 Stanislav Ievlev <inger@altlinux.ru> 0.5-alt1
- Inital release for ALT


